// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_ULevelScriptBlueprint.h"
#include "Engine/LevelScriptBlueprint.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_ULevelScriptBlueprint::SCW_ULevelScriptBlueprint(ULevelScriptBlueprint* InLevelScriptBlueprint) : SCW_UBlueprint(InLevelScriptBlueprint), LevelScriptBlueprint(InLevelScriptBlueprint)
{

}

ULevelScriptBlueprint* SCW_ULevelScriptBlueprint::ToULevelScriptBlueprint() const
{
	return LevelScriptBlueprint;
}

ISCW_ULevelScriptBlueprintPtr SCW_ULevelScriptBlueprint::ToULevelScriptBlueprintPtr()
{
	return GetSharedThisAs<SCW_ULevelScriptBlueprint>();
}

ISCW_ULevelScriptBlueprintConstPtr SCW_ULevelScriptBlueprint::ToULevelScriptBlueprintPtr() const
{
	return GetSharedThisAs<SCW_ULevelScriptBlueprint>();
}